<?php
/**
 * WhiteDot Options Page
 *
 * @package WhiteDot
 */


//Creates a sub-menu under Appearence
function whitedot_add_theme_page() { 	
	add_theme_page("WhiteDot", "WhiteDot", "manage_options", "whitedot-settings", "whitedot_settings_page"); 

	add_action('admin_init', 'whitedot_init_settings' );
} 

add_action("admin_menu", "whitedot_add_theme_page");


//Registers and adds settings, sections and feilds
function whitedot_init_settings(){
}


function whitedot_settings_page() { 

	if (!current_user_can('manage_options' )) {
		wp_die('You do nat have permission to access this page' );
	}
	
	?>

	 <div class="wrap whitedot-options-page" >

		 	<h2></h2>

	 	<div class="whitedot-settings-wrap">

		 	<div class="whitedot-setting-header">
	 
	        <div class="whitedot_icon"><img src="<?php echo(get_template_directory_uri() . "/img/whitedot.png") ?>"></div>
	        <h1>WhiteDot</h1>
	 		</div>

			<?php
			if (isset($_GET['tab'])) {
	    		$active_tab = $_GET[ 'tab' ];
			}
			else {
				$active_tab = 'general_options';
			} // end if
			?>

	        <div class="nav-tab-wrapper whitedot-tab-wrapper">
	            <a href="?page=whitedot-settings&tab=general_options" class="nav-tab whitedot_setting_nav <?php if ($active_tab == 'general_options') echo 'nav-tab-active'; ?>">General</a>
	            <a href="?page=whitedot-settings&tab=whitedot_addons" class="nav-tab whitedot_setting_nav <?php if ($active_tab == 'whitedot_addons') echo 'nav-tab-active'; ?>">WhiteDot Addons</a>
	        </div>

	        <div class="whitedot_setting_content">

	        	<div class="whitedot-settings_error">
		        <?php settings_errors(); ?>
				</div>

				<?php if ($active_tab == 'general_options') { ?>

					<form method="post" action="options.php">

						<?php 
						$users_id = get_current_user_id();
    					if ( !get_user_meta( $users_id, 'whitedot_whats_new_notice_dismissed_1_0_2' ) ) {
    					?>

							<!-- <div class="whitedot-whats-new">
								<a href="?whitedot-whatsnew-notice-dismissed-1-0-2">
									<button type="button" class="notice-dismiss">
										<span class="screen-reader-text">Dismiss this notice.</span>
									</button>
								</a>
								<h2 class="getting-started-head">What's New in 1.0.2</h2>
								<div class="new-feature">
									<h3>Premium Add-on will be released on 29 September</h3>
									<p>I have been working on a premium add-on - <b>WhiteDot Designer</b> for the theme. It just needs a finishing touch, and the plugin/add-on will be ready and released on 29 september.</p>
									<a target="_blank"  class="button-primary" href="https://zeetheme.com/plugins/whitedot-designer">Watch Video</a>
								</div>
							</div> -->
							<div class="whitedot-premium" style="position: relative;">
								<a href="?whitedot-whatsnew-notice-dismissed-1-0-2">
									<button type="button" class="notice-dismiss">
										<span class="screen-reader-text">Dismiss this notice.</span>
									</button>
								</a>
								<h2> Try WhiteDot Premium Free for 7-days (No Credit Card Required)</h2>
								<p>WhiteDot Premium Add-on - WHITEDOT DESIGNER has been released. Start your 7-day free trial. No credit card is required!! Just Download and install the plugin and activate your free trial. The trial gives you access to all the premium features that you would get as a paying customer. And if you love it, then you can buy a premium license when the trial is expired, directly from your Dashboard.</p>
								<a class="btns" target="_blank" href="https://www.zeetheme.com/whitedot-designer-trial">Start Free Trial</a>
								<a class="btns" target="_blank" href="https://www.zeetheme.com/plugins/whitedot-designer">Know more about WhiteDot Designer</a>
							</div>
						<?php } ?>

						<div class="whitedot-getting-started-wrap">

							<h2 class="getting-started-head">Getting Started with Whitedot</h2>

							<p>WhiteDot has a lot of customization options. Lets Customize your site.</p>
							<div class="whitedot-customize-btns">
								<a class="whitedot-customize-btn customize" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php">Customize Your Site</a>
								<a target="_blank" class="whitedot-customize-btn guide" href="http://whitedot-docs.zeetheme.com">Read Customization Guide</a>
							</div>

							<div class="whitedot-branding-setting">
								<h3>Branding</h3>

								<div class="whitedot-site-title-settings whitedot-branding-options">
									<h4>Site Title</h4>
									<div class="whitedot-branding-options-wrap">
										<span class="whitedot-site-name"><?php bloginfo('name'); ?></span>
									</div>
									<a class="whitedot-site-name-edit branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[control]=blogname">Edit</a>
								</div>

								<div class="whitedot-site-tag-settings whitedot-branding-options">
									<h4>Site Tag</h4>
									<div class="whitedot-branding-options-wrap">
										<span class="whitedot-site-tag"><?php echo get_bloginfo( 'description', 'display' ); ?></span>
									</div>
									<a class="whitedot-site-tag-edit branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[control]=blogdescription">Edit</a>
								</div>

								<div class="whitedot-logo-upload whitedot-branding-options">
									<h4>Logo</h4>
									<?php if ( has_custom_logo() ) { ?>
										<div class="whitedot-branding-options-wrap">
											<?php the_custom_logo(); ?>
										</div>
										<a class="whitedot-logo-upload branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[control]=custom_logo">Edit</a>
									<?php }else{ ?>
										<div class="whitedot-branding-options-wrap">
											<span>No Logo</span>
										</div>
										<a class="whitedot-logo-upload branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[control]=custom_logo">Upload</a>
									<?php } ?>
								</div>

							</div>

							<div class="whitedot-more-customization-setting">
								<h3>More Customizer Settings</h3>

								<div class="whitedot-customizer-options">
									<h4>Header Setting</h4>
									<a class="whitedot-site-name-edit branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[section]=whitedot_header_settings_section">Edit</a>
								</div>

								<div class="whitedot-customizer-options">
									<h4>Footer Setting</h4>
									<a class="whitedot-site-name-edit branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[section]=whitedot_footer_settings_section">Edit</a>
								</div>

								<div class="whitedot-customizer-options">
									<h4>Color Options</h4>
									<a class="whitedot-site-name-edit branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[section]=whitedot_color_settings_section">Edit</a>
								</div>

								<div class="whitedot-customizer-options">
									<h4>Typography options</h4>
									<a class="whitedot-site-name-edit branding-edit" href="<?php echo esc_url( home_url() ); ?>/wp-admin/customize.php?autofocus[section]=whitedot_typography_settings_section">Edit</a>
								</div>

							</div>
							<style type="text/css">
								.whitedot-premium {
								    background: #00b9eb;
								    padding: 20px;
								    text-align: center;
								    color: #fff;
								    margin: 5%;
								}

								.whitedot-premium h2 {
								    color: #fff;
								    font-size: 22px;
								}

								.whitedot-premium p {
								    font-size: 16px;
								}

								.whitedot-premium .btns {
								    text-decoration: none;
								    color: #fff;
								    font-size: 17px;
								    margin: 1%;
								    display: inline-block;
								    background: #18ceff;
								    padding: 15px 20px;
								    box-shadow: 4px 4px 20px #00000020;
								    transition: .3s;
								}

								.whitedot-premium .btns:hover {
								    box-shadow: 4px 4px 30px #00000030;
								    background: #1dc3f0;
								}

								.whitedot-premium .notice-dismiss:before{
								    color: #fff;
								    font-size: 20px;
								}
							</style>


						</div>

					</form>

				<?php } ?>

				<?php if ($active_tab == 'whitedot_addons') { ?>

					<form method="post" action="options.php">

						<div class="whitedot-addon-wrap">

							<h2 class="whitedot_addons_heading">WhiteDot Add-ons</h2>

							<div class="whitedot-addon-box-wrap">

								<div class="whitedot-addon-box">
									<img src="http://www.zeetheme.com/wp-content/uploads/2018/09/WhiteDot-Designer.jpg">
									<div class="whitedot-addon-content">
										<h3>WhiteDot Designer</h3>
										<?php if ( class_exists( 'Whitedot_Designer' ) ) { ?>
											<span class="addon-coming-soon">Installed</span>
										<?php } else { ?>
											<a target="_blank" class="get-addon-btn" href="https://www.zeetheme.com/plugins/whitedot-designer">Start Free Trial</a>
										<?php }  ?>
									</div>
								</div>

								<div class="whitedot-addon-box">
									<img src="https://www.zeetheme.com/wp-content/uploads/2018/09/WhiteDot-Remove-Credits.jpg">
									<div class="whitedot-addon-content">
										<h3>WhiteDot Remove Credits</h3>
										<?php if ( class_exists( 'WhitedotRemoveCredits' ) ) { ?>
											<span class="addon-coming-soon">Installed</span>
										<?php } else { ?>
											<a target="_blank" class="get-addon-btn" href="https://www.zeetheme.com/plugins/whitedot-remove-credit">Get Add-on</a>
										<?php }  ?>
									</div>
								</div>

								<div class="whitedot-addon-box">
									<img src="http://www.zeetheme.com/wp-content/uploads/2018/09/WhiteDot-LifterLMS-Plus.jpg">
									<div class="whitedot-addon-content">
										<h3>WhiteDot LifterLMS Plus</h3>
										<span class="addon-coming-soon">Coming Soon</span>
									</div>
								</div>

								<div class="whitedot-addon-box">
									<img src="http://www.zeetheme.com/wp-content/uploads/2018/09/WhiteDot-WooCommerce-Plus.jpg">
									<div class="whitedot-addon-content">
										<h3>WhiteDot WooCommerce Plus</h3>
										<span class="addon-coming-soon">Coming Soon</span>
									</div>
								</div>

							</div>

						</div>

					</form>

				<?php } ?>
			</div>

		</div>
    </div><!-- /.wrap -->

	<?php   
	
}



